import request from '@/utils/request'

// 行业类别-树列表
export function getCategoryTree(data) {
  return request({
    'url': '/system/category/categoryTree',
    'method': 'get',
	'data':data
  })
}
// 行业类别-列表
export function getCategoryList(data) {
  return request({
    'url': '/system/category/list',
    'method': 'get',
	'data':data
  })
}
// 系统通知-列表 system:notice:list
export function getNoticeList(data) {
  return request({
    'url': '/system/notice/list',
    'method': 'get',
	'data':data
  })
}
// 系统通知-详情 system:notice:query
export function getNoticeDet(data) {
  return request({
    'url': '/system/notice/'+data,
    'method': 'get',
  })
}
// 待办提醒-列表 system:remind:list
export function getRemindList(data) {
  return request({
    'url': '/remind/list',
    'method': 'get',
	'data':data
  })
}
// 系统通知-详情 system:remind:query
export function getRemindDet(data) {
  return request({
    'url': '/remind/'+data,
    'method': 'get',
  })
}

// 用户-列表(不分页) system:user:noPageList
export function getUsernoPageList(data) {
  return request({
    'url': '/system/user/noPageList',
    'method': 'get',
	'data':data
  })
}
// 附件-新增 system:fj:add
export function getFjAdd(data) {
  return request({
    'url': '/fj',
    'method': 'post',
	'data':data
  })
}
// 附件-删除 system:fj:remove
export function getFjDel(data) {
  return request({
    'url': '/fj/delete/'+data,
    'method': 'get',
  })
}
// 附件-列表(二维码接口)
export function getEwmList(data) {
  return request({
    'url': '/fj/ewmList',
    'method': 'get',
	'data':data
  })
}
// 业务统计 system:statistics:loan
export function getCount(data) {
  return request({
    'url': '/statistics/loan',
    'method': 'post',
	'data':data
  })
}

// 文件列表 system:application:listOss
export function getListOss(data) {
  return request({
    'url': '/application/listOss',
    'method': 'get',
	'data':data
  })
}
// banbber图
export function getbannerList(data) {
  return request({
    url: '/banner/listNoPage',
    method: 'get',
  })
}